<html devsite><head>

  <meta name="book_path" value="/_book.yaml"/>

  <meta name="project_path" value="/_project.yaml"/>
</head>
<body>
<!--
  Copyright 2018 The Android Open Source Project

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
-->

<h1 id="modem_requirements_for_esim_support" class="page-title">针对 eSIM 支持的调制解调器要求</h1>

<p>本页总结了支持 eSIM 芯片或可卸载 eSIM 4FF 卡所需的调制解调器功能。</p>

<h2 id="general_requirements">常规要求</h2>

<p>以下是针对常规 eSIM 支持的调制解调器要求。只有在调制解调器满足下列所有要求时，LPA 才可正常发挥作用。</p>

<h3 id="handle_the_default_boot_profile_correctly">正确处理默认启动配置文件</h3>

<p>如果未在 eSIM 卡上启用操作或测试配置文件，则系统会启用默认启动配置文件。调制解调器应将已启用默认启动配置文件的 eSIM 卡识别为有效的 SIM 卡。调制解调器应将相应的卡报告至上层，且不应关闭 SIM 卡电源。</p>

<h3 id="send_terminal_capabilities_correctly">正确发送终端功能</h3>

<p>在打开 ISD-R 的逻辑信道时，调制解调器应向 eSIM 卡发送正确的终端功能。终端功能必须根据 ETSI TS 102 221 进行编码，以便支持 eUICC 卡功能：“本地配置文件管理”和“配置文件下载”。</p>

<h3 id="implement_setsimpower_api_in_radio_hal_v11">在 Radio HAL v1.1 中实现 setSimPower API</h3>

<p>调制解调器应该支持 <a href="https://source.android.com/reference/hidl/android/hardware/radio/1.1/IRadio#setsimcardpower_1_1">setSimPower</a> API。</p>

<h3 id="implement_getsimslotsstatus_api_in_iradioconfig_hal_v10">在 IRadioConfig HAL v1.0 中实现 getSimSlotsStatus API</h3>

<p>调制解调器应该支持 <a href="https://android.googlesource.com/platform/hardware/interfaces/+/master/radio/config/1.0/IRadioConfig.hal#51">getSimSlotsStatus</a> API，此 API 会指出插槽中是否有 eSIM 卡。</p>

<h3 id="implement_geticccardstatus_api_in_iradio_hal_v12">在 IRadio HAL v1.2 中实现 getIccCardStatus API</h3>

<p>调制解调器应提供在 <a href="https://source.android.com/reference/hidl/android/hardware/radio/1.0/IRadio#getIccCardStatus">getIccCardStatus</a> API 中指定的 ATR 和卡状态的插槽 ID。v1.0 中首次引入了此 API（名为 <a href="https://android.googlesource.com/platform/hardware/interfaces/+/master/radio/1.2/types.hal#341">CardStatus</a>），v1.2 中对此 API 进行了更改以包含 <a href="https://android.googlesource.com/platform/hardware/interfaces/+/master/radio/1.2/types.hal#351">ATR</a>。</p>

<h3 id="optional_support_esim_os_ota">（可选）支持 eSIM 卡操作系统 OTA</h3>

<p>由于 eSIM 卡操作系统 OTA 未进行标准化，因此这项要求取决于提供 eSIM 卡操作系统的供应商。调制解调器应该支持 eSIM 卡操作系统 OTA 的所有要求，例如切换到直通模式并确保 eSIM 卡在 OTA 过程中一直处于通电状态。</p>

<h2 id="logging_requirements">日志记录要求</h2>

<p>以下是正确调试 eSIM 卡问题的一般调制解调器日志记录要求。</p>

<h3 id="provide_pc_based_tools_to_capture_detailed_modem_logs">提供基于 PC 的工具以捕获详细的调制解调器日志</h3>

<p>日志记录应捕获移动数据网络 RAT（4G、3G、2G）和 IMS（SIP、RTP、RTCP、XCAP）的所有 OTA 数据包。受 ESP 保护的 SIP 数据包应在没有 ESP 的情况下记录。OTA 解析器应符合 3GPP 规范的要求。</p>

<p>日志记录应该支持捕获所有网络接口上的 IP 数据包。</p>

<p>日志记录应该支持捕获调试日志和协议层信息，包括协议层状态、无线装置功率测量、网络单元信息、数据包 TX/RX 统计信息、层间消息传递、处理器间通信、SIM 卡功能和 APDU 日志记录，以及 RIL 日志记录。</p>

<h3 id="on_device_logging">设备上的日志记录</h3>

<p>设备软件应该支持设备上的调制解调器日志捕获机制。</p>

<h3 id="log_config_support">日志配置支持</h3>

<p>设备软件应该支持不同的调制解调器日志记录配置（级别、模块）。设备上的日志记录和基于 PC 工具的日志记录都应该支持这些配置。</p>

<h3 id="android_bug_report">Android 错误报告</h3>

<p>错误报告应该包含调制解调器日志、供应商 RIL 日志、应急签名日志和 Android 日志。</p>

</body></html>